import { Adapter } from 'zhin';
import { Client, BaseClient, PrivateMessageEvent, GroupMessageEvent } from 'web-wechat';
type DingMsgEvent = PrivateMessageEvent | GroupMessageEvent;
declare const wechatAdapter: Adapter<Adapter.Bot<Client>, DingMsgEvent>;
declare module 'zhin' {
    namespace App {
        interface Adapters {
            wechat: BaseClient.Config;
        }
    }
}
export default wechatAdapter;
